Skip to main content
Version: Version 1.0

Create or update participant

This endpoint enables you to create or update a participant.

How to use​

You can use the following cURL to obtain a response from this endpoint:

curl --location --request POST https://api.superviz.com/participants \
--header "Content-Type: application/json" \
--header "client_id: ${YOUR CLIENT_ID}" \
--header "secret: ${YOUR SECRET}" \
--data-raw '{
"participantId": "123",
"id": "123",
"name": "John Doe",
"email": "john@superviz.com",
"avatar": "https://www.superviz.com/avatar.png"
}'

HTTP Request​

POST https://api.superviz.com/participants

Headers​

When using this endpoint, you need to provide the Client ID and Secret Key. The following headers are required:

NameDescription
client_idRequired. You need to use the Client ID to authenticate in this repository. You can retrieve your Client ID under the Dashboard > Developer > Keys.
secretRequired. You need to use the Secret Key to authenticate in this repository. You can create a new API Secret under our Dashboard > Developer > Keys.

Request Body​

When sending a request, include the following fields in JSON format:

NameTypeDescription
participantIdstringThe ID of the participant.
namestringThe name of the participant.
emailstringThe email of the participant.
avatarstringThe avatar of the participant.

Response​

Status code 201 will indicate that the participant was created or updated successfully.